#pragma once
#include <windows.h>

const int WAR3STRID_MAXCHAR = 4;

class CWar3StrID  
{
public:
	char operator [](int nIndex) const;
	BOOL operator !=(const char acStrID[]) const;
	BOOL operator !=(const CWar3StrID &otherStrID) const;
	BOOL operator ==(const char acStrID[]) const;
	BOOL operator ==(const CWar3StrID &otherStrID) const;
	void operator =(const char acStrID[]);
	void SetStrID(const char acNewID[WAR3STRID_MAXCHAR]);
	char* GetStrID();
	CWar3StrID(const char acStrID[]);
	CWar3StrID();
	virtual ~CWar3StrID();

protected:
	char strID[WAR3STRID_MAXCHAR+1];
};
